# Uses of Class
org.apache.lucene.codecs.TermVectorsWriter

Packages that use TermVectorsWriter
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.

## Uses of TermVectorsWriter in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return TermVectorsWriter
Modifier and Type
Method
Description
`abstract TermVectorsWriter`
TermVectorsFormat.`vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`
Returns a `TermVectorsWriter` to write term vectors.

## Uses of TermVectorsWriter in org.apache.lucene.codecs.lucene90.compressing

Subclasses of TermVectorsWriter in org.apache.lucene.codecs.lucene90.compressing
Modifier and Type
Class
Description
`final class`
`Lucene90CompressingTermVectorsWriter`
`TermVectorsWriter` for `Lucene90CompressingTermVectorsFormat`.
Methods in org.apache.lucene.codecs.lucene90.compressing that return TermVectorsWriter
Modifier and Type
Method
Description
`final TermVectorsWriter`
Lucene90CompressingTermVectorsFormat.`vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`